package com.ruoyi.asset.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产信息对象 tb_asset_information
 * 
 * @author 原动力
 * @date 2023-05-15
 */
public class TbAssetInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 资产条码 */
    @Excel(name = "资产条码")
    private String code;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String name;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String number;

    /** 图片路径 */
    @Excel(name = "图片路径")
    private String imageUrl;

    /** 资产分类编号 */
    @Excel(name = "资产分类编号")
    private String categoryNumber;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String specificationsModel;

    /** ABC分类 */
    @Excel(name = "ABC分类")
    private String abcCategory;

    /** 管理状态，0：闲置 */
    @Excel(name = "管理状态，0：闲置")
    private Long manageStatus;

    /** 使用部门 */
    @Excel(name = "使用部门")
    private String userDepartment;

    /** 管理部门 */
    @Excel(name = "管理部门")
    private String department;

    /** 责任人 */
    @Excel(name = "责任人")
    private String responsiblePerson;

    /** 所在位置编号 */
    @Excel(name = "所在位置编号")
    private String locationNumber;

    /** 资产性质 */
    @Excel(name = "资产性质")
    private String property;

    /** 购置日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "购置日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date purchaseDate;

    /** 启用日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "启用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date commissioningDate;

    /** 原值（元） */
    @Excel(name = "原值", readConverterExp = "元=")
    private String originalValue;

    /** 使用年限 */
    @Excel(name = "使用年限")
    private Long durableYears;

    /** 净值（元） */
    @Excel(name = "净值", readConverterExp = "元=")
    private String netValue;

    /** 残值（元） */
    @Excel(name = "残值", readConverterExp = "元=")
    private String residualValue;

    /** 累计折旧（元） */
    @Excel(name = "累计折旧", readConverterExp = "元=")
    private String accumulatedDepreciation;

    /** 最近折旧日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最近折旧日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastDepreciationDate;

    /** 折旧方式，0：其他 */
    @Excel(name = "折旧方式，0：其他")
    private Long depreciationMethod;

    /** 合同编号 */
    @Excel(name = "合同编号")
    private String contractNumber;

    /** 出厂编号 */
    @Excel(name = "出厂编号")
    private String factoryNumber;

    /** 制造商 */
    @Excel(name = "制造商")
    private String manufacturer;

    /** 供应商 */
    @Excel(name = "供应商")
    private String supplier;

    /** 资产用途 */
    @Excel(name = "资产用途")
    private String purpose;

    /** 维保到期日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "维保到期日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date maintenanceDate;

    /** 维修电话 */
    @Excel(name = "维修电话")
    private String maintenanceTel;

    /** 维修人员 */
    @Excel(name = "维修人员")
    private String maintenanceUser;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private String corporation;

    /** 记录状态，0：未提交，1：已提交 */
    @Excel(name = "记录状态，0：未提交，1：已提交")
    private Long recordStatus;

    /** 预留字段a */
    @Excel(name = "预留字段a")
    private String reservedColumnA;

    /** 预留字段b */
    @Excel(name = "预留字段b")
    private String reservedColumnB;

    /** 预留字段c */
    @Excel(name = "预留字段c")
    private String reservedColumnC;

    /** 预留字段d */
    @Excel(name = "预留字段d")
    private String reservedColumnD;

    /** 预留字段e */
    @Excel(name = "预留字段e")
    private String reservedColumnE;

    /** 预留字段f */
    @Excel(name = "预留字段f")
    private String reservedColumnF;

    /** 预留字段g */
    @Excel(name = "预留字段g")
    private String reservedColumnG;

    /** 预留字段h */
    @Excel(name = "预留字段h")
    private String reservedColumnH;

    /** 预留字段i */
    @Excel(name = "预留字段i")
    private String reservedColumnI;

    /** 预留字段j */
    @Excel(name = "预留字段j")
    private String reservedColumnJ;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setNumber(String number) 
    {
        this.number = number;
    }

    public String getNumber() 
    {
        return number;
    }
    public void setImageUrl(String imageUrl) 
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl() 
    {
        return imageUrl;
    }
    public void setCategoryNumber(String categoryNumber) 
    {
        this.categoryNumber = categoryNumber;
    }

    public String getCategoryNumber() 
    {
        return categoryNumber;
    }
    public void setSpecificationsModel(String specificationsModel) 
    {
        this.specificationsModel = specificationsModel;
    }

    public String getSpecificationsModel() 
    {
        return specificationsModel;
    }
    public void setAbcCategory(String abcCategory) 
    {
        this.abcCategory = abcCategory;
    }

    public String getAbcCategory() 
    {
        return abcCategory;
    }
    public void setManageStatus(Long manageStatus) 
    {
        this.manageStatus = manageStatus;
    }

    public Long getManageStatus() 
    {
        return manageStatus;
    }
    public void setUserDepartment(String userDepartment) 
    {
        this.userDepartment = userDepartment;
    }

    public String getUserDepartment() 
    {
        return userDepartment;
    }
    public void setDepartment(String department) 
    {
        this.department = department;
    }

    public String getDepartment() 
    {
        return department;
    }
    public void setResponsiblePerson(String responsiblePerson) 
    {
        this.responsiblePerson = responsiblePerson;
    }

    public String getResponsiblePerson() 
    {
        return responsiblePerson;
    }
    public void setLocationNumber(String locationNumber) 
    {
        this.locationNumber = locationNumber;
    }

    public String getLocationNumber() 
    {
        return locationNumber;
    }
    public void setProperty(String property) 
    {
        this.property = property;
    }

    public String getProperty() 
    {
        return property;
    }
    public void setPurchaseDate(Date purchaseDate) 
    {
        this.purchaseDate = purchaseDate;
    }

    public Date getPurchaseDate() 
    {
        return purchaseDate;
    }
    public void setCommissioningDate(Date commissioningDate) 
    {
        this.commissioningDate = commissioningDate;
    }

    public Date getCommissioningDate() 
    {
        return commissioningDate;
    }
    public void setOriginalValue(String originalValue) 
    {
        this.originalValue = originalValue;
    }

    public String getOriginalValue() 
    {
        return originalValue;
    }
    public void setDurableYears(Long durableYears) 
    {
        this.durableYears = durableYears;
    }

    public Long getDurableYears() 
    {
        return durableYears;
    }
    public void setNetValue(String netValue) 
    {
        this.netValue = netValue;
    }

    public String getNetValue() 
    {
        return netValue;
    }
    public void setResidualValue(String residualValue) 
    {
        this.residualValue = residualValue;
    }

    public String getResidualValue() 
    {
        return residualValue;
    }
    public void setAccumulatedDepreciation(String accumulatedDepreciation) 
    {
        this.accumulatedDepreciation = accumulatedDepreciation;
    }

    public String getAccumulatedDepreciation() 
    {
        return accumulatedDepreciation;
    }
    public void setLastDepreciationDate(Date lastDepreciationDate) 
    {
        this.lastDepreciationDate = lastDepreciationDate;
    }

    public Date getLastDepreciationDate() 
    {
        return lastDepreciationDate;
    }
    public void setDepreciationMethod(Long depreciationMethod) 
    {
        this.depreciationMethod = depreciationMethod;
    }

    public Long getDepreciationMethod() 
    {
        return depreciationMethod;
    }
    public void setContractNumber(String contractNumber) 
    {
        this.contractNumber = contractNumber;
    }

    public String getContractNumber() 
    {
        return contractNumber;
    }
    public void setFactoryNumber(String factoryNumber) 
    {
        this.factoryNumber = factoryNumber;
    }

    public String getFactoryNumber() 
    {
        return factoryNumber;
    }
    public void setManufacturer(String manufacturer) 
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() 
    {
        return manufacturer;
    }
    public void setSupplier(String supplier) 
    {
        this.supplier = supplier;
    }

    public String getSupplier() 
    {
        return supplier;
    }
    public void setPurpose(String purpose) 
    {
        this.purpose = purpose;
    }

    public String getPurpose() 
    {
        return purpose;
    }
    public void setMaintenanceDate(Date maintenanceDate) 
    {
        this.maintenanceDate = maintenanceDate;
    }

    public Date getMaintenanceDate() 
    {
        return maintenanceDate;
    }
    public void setMaintenanceTel(String maintenanceTel) 
    {
        this.maintenanceTel = maintenanceTel;
    }

    public String getMaintenanceTel() 
    {
        return maintenanceTel;
    }
    public void setMaintenanceUser(String maintenanceUser) 
    {
        this.maintenanceUser = maintenanceUser;
    }

    public String getMaintenanceUser() 
    {
        return maintenanceUser;
    }
    public void setCorporation(String corporation) 
    {
        this.corporation = corporation;
    }

    public String getCorporation() 
    {
        return corporation;
    }
    public void setRecordStatus(Long recordStatus) 
    {
        this.recordStatus = recordStatus;
    }

    public Long getRecordStatus() 
    {
        return recordStatus;
    }
    public void setReservedColumnA(String reservedColumnA) 
    {
        this.reservedColumnA = reservedColumnA;
    }

    public String getReservedColumnA() 
    {
        return reservedColumnA;
    }
    public void setReservedColumnB(String reservedColumnB) 
    {
        this.reservedColumnB = reservedColumnB;
    }

    public String getReservedColumnB() 
    {
        return reservedColumnB;
    }
    public void setReservedColumnC(String reservedColumnC) 
    {
        this.reservedColumnC = reservedColumnC;
    }

    public String getReservedColumnC() 
    {
        return reservedColumnC;
    }
    public void setReservedColumnD(String reservedColumnD) 
    {
        this.reservedColumnD = reservedColumnD;
    }

    public String getReservedColumnD() 
    {
        return reservedColumnD;
    }
    public void setReservedColumnE(String reservedColumnE) 
    {
        this.reservedColumnE = reservedColumnE;
    }

    public String getReservedColumnE() 
    {
        return reservedColumnE;
    }
    public void setReservedColumnF(String reservedColumnF) 
    {
        this.reservedColumnF = reservedColumnF;
    }

    public String getReservedColumnF() 
    {
        return reservedColumnF;
    }
    public void setReservedColumnG(String reservedColumnG) 
    {
        this.reservedColumnG = reservedColumnG;
    }

    public String getReservedColumnG() 
    {
        return reservedColumnG;
    }
    public void setReservedColumnH(String reservedColumnH) 
    {
        this.reservedColumnH = reservedColumnH;
    }

    public String getReservedColumnH() 
    {
        return reservedColumnH;
    }
    public void setReservedColumnI(String reservedColumnI) 
    {
        this.reservedColumnI = reservedColumnI;
    }

    public String getReservedColumnI() 
    {
        return reservedColumnI;
    }
    public void setReservedColumnJ(String reservedColumnJ) 
    {
        this.reservedColumnJ = reservedColumnJ;
    }

    public String getReservedColumnJ() 
    {
        return reservedColumnJ;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("number", getNumber())
            .append("imageUrl", getImageUrl())
            .append("categoryNumber", getCategoryNumber())
            .append("specificationsModel", getSpecificationsModel())
            .append("abcCategory", getAbcCategory())
            .append("manageStatus", getManageStatus())
            .append("userDepartment", getUserDepartment())
            .append("department", getDepartment())
            .append("responsiblePerson", getResponsiblePerson())
            .append("locationNumber", getLocationNumber())
            .append("property", getProperty())
            .append("purchaseDate", getPurchaseDate())
            .append("commissioningDate", getCommissioningDate())
            .append("originalValue", getOriginalValue())
            .append("durableYears", getDurableYears())
            .append("netValue", getNetValue())
            .append("residualValue", getResidualValue())
            .append("accumulatedDepreciation", getAccumulatedDepreciation())
            .append("lastDepreciationDate", getLastDepreciationDate())
            .append("depreciationMethod", getDepreciationMethod())
            .append("contractNumber", getContractNumber())
            .append("factoryNumber", getFactoryNumber())
            .append("manufacturer", getManufacturer())
            .append("supplier", getSupplier())
            .append("purpose", getPurpose())
            .append("maintenanceDate", getMaintenanceDate())
            .append("maintenanceTel", getMaintenanceTel())
            .append("maintenanceUser", getMaintenanceUser())
            .append("corporation", getCorporation())
            .append("recordStatus", getRecordStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("reservedColumnA", getReservedColumnA())
            .append("reservedColumnB", getReservedColumnB())
            .append("reservedColumnC", getReservedColumnC())
            .append("reservedColumnD", getReservedColumnD())
            .append("reservedColumnE", getReservedColumnE())
            .append("reservedColumnF", getReservedColumnF())
            .append("reservedColumnG", getReservedColumnG())
            .append("reservedColumnH", getReservedColumnH())
            .append("reservedColumnI", getReservedColumnI())
            .append("reservedColumnJ", getReservedColumnJ())
            .toString();
    }
}
